### Virtual Method

# Gimp Procedure run

unstable since: 3.0

#### Declaration [src]

    GimpValueArray*
    run (
      GimpProcedure* procedure,
      const GimpValueArray* args
    )

#### Description [src]

Runs the procedure, calling the run_func given in `gimp_procedure_new()`.

Available since: 3.0

#### Parameters

`args`

  Type: `GimpValueArray`

  The `procedure`‘s arguments.

  The data is owned by the caller of the function.

#### Return value

Type: `GimpValueArray`

The `procedure`‘s return values.

The caller of the function takes ownership of the data, and is responsible for freeing it.